akpm@osdl.org
[PATCH] I2C: saa7146 build fix
ChangeSet 1.2112, 2005/03/02 15:03:32-08:00, akpm@osdl.org

[PATCH] I2C: saa7146 build fix

include/media/saa7146.h:160: parse error before `*'
include/media/saa7146.h:160: warning: function declaration isn't a prototype


Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


 include/media/saa7146.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/include/media/saa7146.h b/include/media/saa7146.h
--- a/include/media/saa7146.h	2005-03-04 12:23:06 -08:00
+++ b/include/media/saa7146.h	2005-03-04 12:23:06 -08:00
@@ -157,7 +157,7 @@
 
 /* from saa7146_i2c.c */
 int saa7146_i2c_adapter_prepare(struct saa7146_dev *dev, struct i2c_adapter *i2c_adapter, u32 bitrate);
-int saa7146_i2c_transfer(struct saa7146_dev *saa, const struct *i2c_msg msgs, int num,  int retries);
+int saa7146_i2c_transfer(struct saa7146_dev *saa, const struct i2c_msg *msgs, int num,  int retries);
 
 /* from saa7146_core.c */
 extern struct list_head saa7146_devices;
